
Redmine - Defect #22160

Crash on opening user page

2016-03-07 09:40 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.1

Description

When opening the profile page for a specific user internal server occurs:

I, [2016-03-07T09:33:19.696602 #1600]  INFO -- : Started GET "/users/5/" for X.X.X.X at 2016-03-07

 09:33:19 +0100

I, [2016-03-07T09:33:19.697375 #1600]  INFO -- : Processing by UsersController#show as HTML

I, [2016-03-07T09:33:19.697416 #1600]  INFO -- :   Parameters: {"id"=>"5"}

I, [2016-03-07T09:33:19.699316 #1600]  INFO -- :   Current user: the.user (id=5)

I, [2016-03-07T09:33:19.788476 #1600]  INFO -- : Completed 500 Internal Server Error in 91ms (Acti

veRecord: 26.6ms)

F, [2016-03-07T09:33:19.789240 #1600] FATAL -- : 

ArgumentError (comparison of TimeEntry with JournalMessage failed):

  lib/redmine/activity/fetcher.rb:95:in `sort!'

  lib/redmine/activity/fetcher.rb:95:in `events'

  app/controllers/users_controller.rb:75:in `block (2 levels) in show'

  app/controllers/users_controller.rb:73:in `show'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 This happens only for one user (id 5). It does not matter who accesses the site. Any ideas?

Environment:

  Redmine version                3.1.1.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  redmine_contacts               4.0.3

  redmine_contacts_helpdesk      3.0.1

History

#1 - 2016-03-23 11:32 - Toshi MARUYAMA

- Status changed from New to Closed

Please contact plugin author.

#2 - 2016-03-23 11:32 - Toshi MARUYAMA

- Resolution set to Invalid

#3 - 2022-12-22 08:51 - Dimitar (RedmineUP)

Hi,

This is Dimitar from the RedmineUP Support Team.

I see that you have some of our plugins on your list:
  redmine_contacts               4.0.3

  redmine_contacts_helpdesk      3.0.1

 May I ask - is the reported problem still appearing to your Redmine?

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team

Anonymous wrote:

When opening the profile page for a specific user internal server occurs:

[...]

This happens only for one user (id 5). It does not matter who accesses the site. Any ideas?

[...]
